/* DEVELOPER: Anthony Quispilaya, IS117-003, Fall 2024 */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#main_content {
    padding: 3%;
    margin: 0 auto;
    margin-bottom: 5%;
    width: 100%;
}



/* Section Titles */
#aboutus_text h1 {
    border: solid 2px black;
    border-width: 0 0 5px 0;
    padding-bottom: 10px;
    margin: 80px 3% 50px 3%;
    border-radius: 5px;
}

#aboutus_text {
    padding: 25px 0 0px 0;
    width: 100%;
}
/* END - Section Titles */




/* Columns Styling */
#two_columns {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10%;
    padding: 0 3%;
}

#column-1 {
    flex: 1;
    max-width: 600px;
}

#column-3 {
    flex: 1; 
    max-width: 400px;
}

.carousel-inner img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 1em;
}

#three_columns {
    margin: 0;
    padding: 0;
}
.custom-column {
    margin-right: 0px;
    padding: 0;
}

.row {
    padding-bottom: 5%;
}

.google-img {
    width: 100%;
}

.round_border {
    border-radius: 0.8rem;
    box-shadow: 0px 1px 2px rgba(100, 100, 100, 0.5);
}
/* END - Columns Styling */



/* Responsive Adjustments */
@media (max-width: 768px) {
    #two_columns {
        flex-direction: column;
        gap: 20px;
        padding: 0 3%;
    }

    #column-1,
    #column-3 {
        max-width: 100%;
        flex: none;
        margin: 0 auto;
    }

    #aboutus_text, #whoarewe_text {
        padding: 25px 3%;
        margin: 0 auto;
    }

    .row {
        padding-bottom: 3%;
    }

    .carousel-inner img {
        width: 100%;
        height: auto;
        object-fit: cover;
        border-radius: 1em;
    }
}
/* END - Responsive Adjustments */